pedigree_init <- function(parent, child, index) {
  pedigree_new(parent, child, as.integer(index))
}

pedigree_new <- function(parent = NULL, child = NULL, index = NULL) {
  force(parent)
  force(child)
  force(index)
  environment()
}

pedigree_validate <- function(pedigree) {
  assert_correct_fields(pedigree, pedigree_new)
  assert_name(pedigree$parent)
  assert_name(pedigree$child)
  assert_match(pattern = pedigree$parent, x = pedigree$child)
  assert_int(pedigree$index)
  assert_positive(pedigree$index)
  invisible()
}
